/* google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

/* ==================================
-------------default css-------------
===================================== */



html{
    scroll-behavior: smooth;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

body{
    font-family: 'Poppins', sans-serif;
}

img{
    width: 100%;
}

section{
    padding: 100px 0px;
    background: #122e44;

}

.section_title{
    margin-bottom: 30px;
}


.section_title h2{
    position: relative;
    text-align: center;
    color: #fff;
    font-size: 30px;
    transition: all .5s ease-in-out;

}
.section_title h2:hover{
    background-color: #24CAAC;
}


/* ==================================
-------------header css-------------
===================================== */

header{
    background: #24292D;
    border-bottom: 1px solid rgba(238, 238, 238, 0.801);
    position: fixed;
    width: 100%;
    z-index: 5;

}

#menu_bar{
    display: none;
}

.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    width: 80%;
    padding: 10px 0px;
}

.logo h2 a{
    color: #fff;
    text-transform: uppercase;
}

.nav_links{
    display: flex;
}

.nav_links li a{
    margin-left: 15px;
    color: #fff;
    padding: 5px 15px;
    border-radius: 5px;
    transition: .3s;
}

.nav_links li a:hover{
    background: #24CAAC;
}



/* ==================================
-------------home seciton css-------------
===================================== */


#home{
    background: #587892;
}

.inner_home{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    width: 80%;
    color: #fff;
}

.child_home{
    flex-basis: 45%;
    
}   

.child_home h1{
    font-size: 42px;
    line-height: 48px;
    color: #24CAAC;
}

.highlight{
    color: #F31D66;
}

.child_home p{
    font-size: 22px;
    margin-bottom: 15px;
}

.btn{
    background: #24CAAC;
    padding: 10px 25px;
    border: 1px solid #24CAAC;
    border-radius: 25px;
    color: #fff;
    font-weight: 600;
    text-transform: uppercase;
    cursor: pointer;

}

.btn:hover{
    background: transparent;
}


/* ==================================
-------------Yazılımlar-------------
===================================== */

.innersoftware{
    display: flex;
    width: 80%;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.innersoftware_child{
    flex-basis: 31%;
    color: #fff;
    padding: 25px  20px;
    background: rgba(55, 66, 80, 0.281);
    border-radius: 5px;
    border: 1px solid transparent;
    transition: .3s;

}

.innersoftware_child:hover{
    border: 1px solid #24CAAC;
}

.innersoftware_child .icon{
    font-size: 25px;
    color: #24CAAC;
}

.innersoftware_child h3{
    font-size: 20px;
    margin: 5px 0px;
}

.innersoftware_child p{
    font-size: 16px;
}



/* ==================================
-------------Sertifikalarım-------------
===================================== */


#courses .section_title h2::after {
    transform: translateX(-110%) rotate(356deg);
}

.inner_courses{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 80%;
    margin: 0 auto;
}


.child_courses{
    flex-basis: 24%;
    color: #ffffff;
    padding: 20px 10px 20px 10px;
    border: 1px solid transparent;
    transition: .3s;
    border-radius: 5px;

}

.child_courses:hover{
    border: 1px solid #24CAAC;
}

.child_courses .course_img img{
    border-radius: 5px;
}

.child_courses .detail{
    display: flex;
    justify-content: space-between;
}

.child_courses .detail ul{
    display: flex;
    justify-content: space-between;
    flex-basis: 50%;

}
.child_courses .detail ul li i{
    color: gold;
}


/* ==================================
-------------başarılar-------------
===================================== */

.inner_achivemnet{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 80%;
    margin: 0 auto;
}

.child_achivement{
    flex-basis: 40%;
}
.child_achivement img{
    height: 100%;
    width:100%;
    object-fit: cover;
    border-radius: .5rem;
    
}

.child_achivement2{
    flex-basis: 46%;
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: space-between;

}

.single_detail{
    flex-basis: 48%;
    padding: 40px 30px;
    color: #fff;
    border-radius: 5px;
    transition: .3s;
}

.single_detail:hover{
    transform: scale(1.03);
}

.sd_1{
    background: #EAA023;
    margin-bottom: 20px;
}

.sd_2{
    background: #E91E63;
    margin-bottom: 20px;

}

.sd_3{
    background: #24CAAC;

}

.sd_4{
    background: #2F363E;
}



/* =====================================
-----------hakkımda------
========================================*/


.inner_testi{
    display: flex;
    flex-wrap: wrap;
    align-items: center; 
    justify-content: space-between;
    width: 80%;
    margin: 0 auto;
    color: #fff; 
}

.child_testi{
    flex-basis: 46%;
    margin-bottom: 30px;
}

.testi_img{
    width: 80px;
    margin-bottom: 10px;
}


.testi_img img{
    border-radius: 50%;
}

.test_highlight{
    color: #24CAAC;
    margin: 10px 0;
    display: inline-block;
}


.test_highlight:hover{
    text-decoration: underline;
}


/* ====================================
----------iletişim------
======================================= */


.inner_contact{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    width: 80%;
}

.child_contact{
    flex-basis: 45%;
}

.child_contact form{
    padding: 50px 40px;
    background: #24292D;
    border-radius: 15px;
}
.child_contact form input, textarea{
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    background: #2F363E;
    border: none;
    resize: none;
    border-radius: 25px;
    transition: .3s;
    color: #fff;
}

.child_contact form .submit{
    background: #24CAAC;
    margin: 0;
    border: 1px solid #24CAAC;
    color: #fff;
    transition: .3s;
    cursor: pointer;
}

.child_contact form .submit:hover{
    background: transparent;
    border: 1px solid #24CAAC;
}


.child_contact form input, textarea:focus{
    color: #fff;
}


.child_contact form input:focus{
    letter-spacing: 1px;
}

.child_contact form textarea:focus{
    letter-spacing: 1px;
}

.child_contact form input:last-child{
    margin-bottom: 0;
    background: #24CAAC;
    border: 1px solid #24CAAC;
    transition: .3s;
}

.child_contact form input:last-child:hover{
    background: transparent;
    color: #fff;
}


/*=-=================================
------------footer----------
===================================== */

footer{
    background: #24292D;
    padding: 60px 0 20px 0;
    color: #fff;
}


.inner_footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    margin: 0 auto;
    width: 80%;
}

.child_footer{
    flex-basis: 24%;
}

.child_footer h3{
    margin-bottom: 20px;
}

.child_footer .footer_social{
    display: flex;
    justify-content: start;
    margin-top: 10px;
}

.child_footer ul li{
    flex-basis: 15%;
}

.child_footer ul li a{
    color: #fff;
}

.quick_links{
    display: flex;
    flex-direction: column;
}


.quick_links li a:hover{
    text-decoration: underline;
}

.footer_contact li{
    font-size: 14px;
    line-height: 30px;
}

.footer_contact li i{
    margin-right: 5px;
}


.child_footer form{
    display: flex;
    flex-direction: column;
}

.child_footer form input{
    padding: 8px;
    margin-bottom: 10px;
    border-radius: none;
    border-radius: 25px;
    background: #2F363E;
    border : none;
}

.child_footer form input:focus{
    color: #fff;    
}

.child_footer form input:last-child{
    background: #24CAAC;
    margin: 0;
    border: 1px solid #24CAAC;
    color: #fff;
    transition: .3s;
    cursor: pointer;
}

.child_footer form input:last-child:hover{
    background: transparent;
    border: 1px solid #24CAAC;

}
